List App Droplets

List App Droplets
List droplets for an app

Retrieve all droplets belonging to an app.

Request
URI
GET
https://api.example.local/v3/apps/{guid}/droplets
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

Query Parameters
integer
page
Optional

Page to display; valid values are integers >= 1

page example
1
integer
per_page
Optional

Number of results per page, valid values are 1 through 5000

per_page example
50
string
order_by
Optional

Value to sort by. Defaults to ascending; prepend with - to sort descending.

order_by example
created_at
string
label_selector
Optional

A query string containing a list of label selector requirements

label_selector example
environment=production
string of array
guids
Optional

Comma-delimited list of droplet guids to filter by

string of array
states
Optional

Comma-delimited list of droplet states to filter by


Authentication
This operation uses the following authentication methods.
Responses
200

List of droplets for the app

Returns DropletList of type(s) application/json
{
    "pagination": {
        "total_results": 0,
        "total_pages": 0,
        "first": {
            "href": "string",
            "method": "string"
        },
        "last": {
            "href": "string",
            "method": "string"
        },
        "next": {
            "href": "string",
            "method": "string"
        },
        "previous": {
            "href": "string",
            "method": "string"
        }
    },
    "resources": [
        {
            "guid": "string",
            "created_at": "string",
            "updated_at": "string",
            "state": "string",
            "error": "string",
            "lifecycle": {
                "type": "string",
                "data": {
                    "buildpacks": [
                        "string"
                    ],
                    "stack": "string",
                    "credentials": {
                        "credentials": {
                            "username": "string",
                            "password": "string",
                            "token": "string"
                        }
                    }
                }
            },
            "execution_metadata": "string",
            "process_types": {},
            "metadata": {
                "labels": {
                    "labels": "string"
                },
                "annotations": {
                    "annotations": "string"
                }
            },
            "links": {
                "self": {
                    "href": "string",
                    "method": "string"
                },
                "package": {
                    "href": "string",
                    "method": "string"
                },
                "app": {
                    "href": "string",
                    "method": "string"
                },
                "assign_current_droplet": {
                    "href": "string",
                    "method": "string"
                },
                "download": {
                    "href": "string",
                    "method": "string"
                },
                "upload": {
                    "href": "string",
                    "method": "string"
                }
            },
            "checksum": {
                "type": "string",
                "value": "string"
            },
            "buildpacks": [
                {
                    "name": "string",
                    "detect_output": "string",
                    "version": "string",
                    "buildpack_name": "string"
                }
            ],
            "stack": "string",
            "image": "string"
        }
    ]
}
object
pagination
Optional

Pagination is a technique used to divide a large set of results into smaller, more manageable sets. This allows clients to retrieve results in smaller chunks, reducing the amount of data transferred and improving performance. The pagination object is a JSON object that contains information about the pagination state of the results. It includes the total number of results available, the total number of pages available, and links to the first, last, next, and previous pages of results.

array of object
resources
Optional

A droplet is the result of staging an application package. There are two types (lifecycles) of droplets buildpack and docker. In the case of the buildpacks, the droplet contains the bits produced by the buildpack, typically application code and dependencies.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/apps/{guid}/droplets